Tcr Campaigns

Update Specific TCR Campaign Options

PATCH
/v1/TcrCampaigns/{tcrCampaignId}

Updates only the options that are passed in the request and are not null, does not change other values. Use this method to change the Messaging Config that is associated with the TCR Campaign. Please keep in mind that it may take some time for the Phone Numbers to change the TCR Campaign association.

AuthorizationBasic <token>

Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.

In: header

Path Parameters

tcrCampaignId*string
Match^C[0-9A-Z]{6,127}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Campaign Patch Request.

Response Body

curl -X PATCH "https://example.com/v1/TcrCampaigns/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "messagingConfigSid": "MCf4f1e0ccde19431ebde74a9f2996afa0"  }'
{  "tcrCampaignId": "C123ABC",  "tcrBrandId": "B123ABC",  "tcrBrandName": "string",  "creationDate": "2020-02-29",  "name": "string",  "attMessageClass": "A",  "tMobileBrandTier": "Unknown",  "verizonWirelessMessageClass": "string",  "usCellularMessageClass": "string",  "messagingConfigSid": "MCf4f1e0ccde19431ebde74a9f2996afa0",  "messagingConfigName": "string",  "subscriberOptin": false,  "subscriberOptout": false,  "subscriberHelp": false,  "optInKeywords": [    "START",    "CONTINUE"  ],  "optOutKeywords": [    "STOP",    "QUIT"  ],  "helpKeywords": [    "HELP",    "INFO"  ],  "optInMessage": "You are subscribed to messages from this sender. Msg frequency varies. Reply HELP for help or STOP to unsubscribe. Msg & data rates may apply.",  "optOutMessage": "You are unsubscribed. You will no longer receive messages from this sender. Reply START to resubscribe. Msg & data rates may apply.",  "helpMessage": "Reply STOP to unsubscribe. Msg & data rates may apply.",  "description": "string",  "messageFlow": "string",  "embeddedLink": false,  "embeddedPhone": false,  "directLending": false,  "ageGated": false}
{  "errors": {    "Name": [      "The Name field is required."    ]  },  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",  "title": "One or more validation errors occurred.",  "status": 400,  "detail": "Some detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}
{  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",  "title": "Not found",  "status": 404,  "detail": "Not found detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}